Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Class WCM_NextStageDirectiveParams

    java.lang.Object
      com.ibm.workplace.wcm.api.custom.WCM_NextStageDirectiveParams

All Implemented Interfaces:
  DirectiveParams, NextStageDirectiveParams, java.io.Serializable

    public class WCM_NextStageDirectiveParams

extends java.lang.Object
implements NextStageDirectiveParams

The `NextStageDirectiveParams` object is used to specify arguments or options to a 'NextStage' Directive.

To create a new `NextStageDirectiveParams` object call `Directives.NEXT_WORKFLOW_STAGE.createDirectiveParams()` and cast the returned object to `NextStageDirectiveParams`

To use a `NextStageDirectiveParams` object call the `CustomWorkflowActionService.createResult(Directive, String, DirectiveParams)` method instead of `CustomWorkflowActionService.createResult(Directive, String)` to construct the workflow action result.

Since:
  6.1
See Also:
  Serialized Form

Constructor Summary
`WCM_NextStageDirectiveParams()`

Method Summary
`boolean` | `isRunningEntryActions()` Indicates if the entry actions on the destination stage should be run.
`boolean` | `isRunningExitActions()` Indicates if the exit actions on the current stage are run before moving to the next stage.
`void` | `setRunEntryActions(boolean runEntryActions)` Specifies whether to run the entry actions on the destination stage.
`void` | `setRunExitActions(boolean runExitActions)` Specifies whether to run the exit actions on the current stage before moving to the next stage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCM_NextStageDirectiveParams

    public WCM_NextStageDirectiveParams()

Method Detail

### setRunExitActions

    public void setRunExitActions(boolean runExitActions)

  Specifies whether to run the exit actions on the current stage before moving to the next stage.

  By default exit actions are run.

  Specified by:
    `setRunExitActions` in interface `NextStageDirectiveParams`
  Parameters:
    `runExitActions` - true if the exit actions on the current stage should be run before moving to the next stage, false otherwise

### isRunningExitActions

    public boolean isRunningExitActions()

  Indicates if the exit actions on the current stage are run before moving to the next stage.

  Specified by:
    `isRunningExitActions` in interface `NextStageDirectiveParams`
  Returns:
    true if the exit actions on the current stage are run before moving to the next stage, false otherwise

### setRunEntryActions

    public void setRunEntryActions(boolean runEntryActions)

  Specifies whether to run the entry actions on the destination stage.

  By default entry actions are run.

  Specified by:
    `setRunEntryActions` in interface `NextStageDirectiveParams`
  Parameters:
    `runEntryActions` - true if the entry actions on the destination stage should be run, false otherwise

### isRunningEntryActions

    public boolean isRunningEntryActions()

  Indicates if the entry actions on the destination stage should be run.

  Specified by:
    `isRunningEntryActions` in interface `NextStageDirectiveParams`
  Returns:
    true if the entry actions on the destination stage should be run, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD